Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Collections.Specialized.NameValueCollection System.Runtime.InteropServices.ComVisible(true)

Contains protocol headers associated with a or instance.

This class is generally accessed through or .

Certain protocol headers are protected and cannot be set directly in a instance. These headers can only be set through provided property accessors or by the system. The protected headers are:

Accept

Connection

Content-Length

Content-Type

Date

Expect

Host

If-Modified-Since

Range

Referer

Transfer-Encoding

UserAgent
- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A containing the header to add, with the name and value separated by a colon.

  Inserts the specified header into the collection.

  This method inserts a new header into the list of header name/value pairs. is required to be specified in the format name:value.

  If the header specified in name is already present in the collection, value is concatenated with the existing value.

  is or .

  does not contain a colon (:) character.

  -or-

  name is , or contains invalid characters.

  -or-

  is a protected header that can only be set with a property accessor or by the system.

  -or-

  value contains invalid characters.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` A that contains the name of the header to add to the collection. A that contains the content of the header.

  Inserts a new header with the specified name and value into the collection.

  This method inserts a new header into the list of header name/value pairs.

  If the header specified in is already present, is concatenated with the existing value.

  This method overrides .

  is or , or contains invalid characters.

  -or-

  is a protected header that can only be set with a property accessor or by the system.

  -or-

  contains invalid characters.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` A that contains the name of the header to add to the collection. A that contains the content of the header.

  Inserts a header into the current instance without checking whether the header is on the restricted header list.

  This method adds a header to the collection without checking whether the header is on the restricted header list.

  When subclassing , use the method to add headers that are normally exposed through property accessors.

  is or , or contains invalid characters.

  -or-

  contains invalid characters.

  0
  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.String[] To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.String[] `` To be added. To be added. To be added. To be added.
- Method
  System.String[] `` A containing the protocol header name whose values are returned.

  Returns the values stored in the specified protocol header.

  An array of objects that contain the values of the protocol header named in the current instance. If is not found in the current instance, returns .

  This method overrides .

  This example demonstrates the method.

  `using System; using System.Net; class GetValuesExample { public static void Main() { Uri contosoUri = new Uri("http://www.contoso.com"); HttpWebRequest httpContoso = (HttpWebRequest)WebRequest.Create(contosoUri); httpContoso.SendChunked=true; httpContoso.TransferEncoding="compress"; httpContoso.TransferEncoding="gzip"; WebHeaderCollection webColl = httpContoso.Headers; String[] sAry = webColl.GetValues("Transfer-Encoding"); Console.WriteLine("Transfer-Encoding:"); foreach(string s in sAry) Console.WriteLine("{0}", s); } }`

  The output is

  Transfer-Encoding:

  compress

  gzip

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` A containing the header to test.

  Returns a value that indicates whether the specified HTTP header can be set.

  if the header is protected; otherwise .

  This method returns to indicate that a header is protected. Protected headers can only be set through provided property accessors or by the system. They cannot be set directly in the current instance.

  The protected headers are:

  Accept

  Connection

  Content-Length

  Content-Type

  Date

  Expect

  Host

  If-Modified-Since

  Range

  Referer

  Transfer-Encoding

  UserAgent
  is or .

  contains invalid characters.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` A that contains the name of the header to remove from the current instance.

  Removes the specified header from the current instance.

  This method deletes the specified header from the current instance. If multiple values were added to the same header using , a single call to deletes all of the values.

  This method overrides .

  is or .

  contains invalid characters.

  -or-

  is a protected header that can only be set with a property accessor or by the system.

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` A that contains the name of the header to set. A that contains the content of the header to set.

  Sets the specified header to the specified value.

  The method inserts a new header into the list of header name/value pairs.

  If the header specified in is already present, replaces the existing value.

  This method overrides .

  is or .

  contains invalid characters.

  -or-

  is a protected header that can only be set with a property accessor or by the system.

  -or-

  contains invalid characters.

  0
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Byte[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.String To be added. To be added. To be added.
0